Part Torus/zh-cn: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav|[[Part_Sphere|Sphere]]|[[Part_CreatePrimitives|CreatePrimitives]]|[[Part_Module|Part]]|IconL=Part_Sphere.png|IconC=Workbench_Part.svg|IconR=Part_CreatePrimitives.png}}


{{Docnav
{{GuiCommand|Name=Part Torus|MenuLocation=Part → Torus||Workbenches=[[Part Module|Part]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}


{{GuiCommand
|Name=Part Torus
|MenuLocation=Part → Primitives → Torus
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}

== Description ==

<div class="mw-translate-fuzzy">
== 描述 ==
== 描述 ==
根据position, angle1, angle2, angle3, radius1 与 radius2参数创建一个简单的参数化环面。
根据position, angle1, angle2, angle3, radius1 与 radius2参数创建一个简单的参数化环面。
</div>


A Part Torus can be turned into a segment of a torus by changing its {{PropertyData|Angle3}} property. By changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties the swept profile can become a segment of a circle.
[[File:SimpleTorus.jpg|400px]]


[[Image:Part_Torus_Example.png|400px]]

<div class="mw-translate-fuzzy">
== 如何使用 ==
== 如何使用 ==
</div>


<div class="mw-translate-fuzzy">
在[[Part_Workbench|零件工作台]]中点击环面图标[[Image:Part Torus.png|32px]]。这会在原点(point 0,0,0)处创建一个环面。
在[[Part_Workbench|零件工作台]]中点击环面图标[[Image:Part Torus.png|32px]]。这会在原点(point 0,0,0)处创建一个环面。
三个角度参数(angle1, angle2, angle3)与两个半径参数(radius1 , radius2)用于确定参数化环面,详情请看下段文字。
三个角度参数(angle1, angle2, angle3)与两个半径参数(radius1 , radius2)用于确定参数化环面,详情请看下段文字。
</div>


== 选项 ==
== Example ==


[[Image:Part_Torus_Scripting_Example.png|thumb|Part Torus from the scripting example]]
[[File:TorusExampleOverviewParameters.jpg]]


A Part Torus object created with the [[#Scripting|scripting example]] below is shown here.
'''参数'''


== Notes ==
创建环面的过程就相当于令一个小圆盘沿一个幻想的环形轨道为轴进行圆周运动。这样,就可以通过下列参数来定义参数化环面:


* A Part Torus can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
[[File:TorusExampleRadius1.jpg]]<br/>
将Radius1参数的值指定为20 mm。
</div>

See also: [[Property_editor|Property editor]].

A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Torus}}

<div class="mw-translate-fuzzy">
* {{Parameter|Radius1:}} 小圆盘圆周运动所绕圆环的半径
* {{Parameter|Radius1:}} 小圆盘圆周运动所绕圆环的半径
* {{Parameter|Radius2:}} 定义环面形状的小圆盘的半径
* {{Parameter|Radius2:}} 定义环面形状的小圆盘的半径
Line 27: Line 70:
* {{Parameter|Angle2:}} 用于切割/定义环面小圆盘的第2个角度参数
* {{Parameter|Angle2:}} 用于切割/定义环面小圆盘的第2个角度参数
* {{Parameter|Angle3:}} 用于定义环面运动圆周的第3个角度参数
* {{Parameter|Angle3:}} 用于定义环面运动圆周的第3个角度参数
</div>


== Scripting ==
以及一系列标准定位参数。下图以可视化方式展示了上述提及的诸参数:


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
[[File:TorusExampleRadius1.jpg]]<br/>

将Radius1参数的值指定为20 mm。
A Part Torus can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
}}


* Where {{Incode|"myTorus"}} is the name for the object.
[[File:TorusExampleRadius2.jpg]]
* The function returns the newly created object.
将Radius2参数的值指定为2 mm。


Example:
[[File:TorusExampleAngle1.jpg]]
The parameter Angle1 has a value of -90°. Notice that, the "angle measure" tool cannot display negative angle. Considered the displayed value in picture as "-90°".


{{Code|code=
[[File:TorusExampleAngle2.jpg]]
import FreeCAD as App
The parameter Angle2 has a value of 90°.


doc = App.activeDocument()
[[File:TorusExampleAngle3.jpg]]
{{clear}}
The parameter Angle3 has a value of 90°.


torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))


doc.recompute()
}}


{{Docnav|[[Part_Sphere|Sphere]]|[[Part_CreatePrimitives|CreatePrimitives]]|[[Part_Module|Part]]|IconL=Part_Sphere.png|IconC=Workbench_Part.svg|IconR=Part_CreatePrimitives.png}}


{{Docnav
{{Part Tools navi}}
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:58, 3 March 2022

Part Torus

Menu location
Part → Primitives → Torus
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

描述

根据position, angle1, angle2, angle3, radius1 与 radius2参数创建一个简单的参数化环面。

A Part Torus can be turned into a segment of a torus by changing its 数据Angle3 property. By changing its 数据Angle1 and/or 数据Angle2 properties the swept profile can become a segment of a circle.

如何使用

零件工作台中点击环面图标。这会在原点(point 0,0,0)处创建一个环面。 三个角度参数(angle1, angle2, angle3)与两个半径参数(radius1 , radius2)用于确定参数化环面,详情请看下段文字。

Example

Part Torus from the scripting example

A Part Torus object created with the scripting example below is shown here.

Notes

  • A Part Torus can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.


将Radius1参数的值指定为20 mm。

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Torus

  • Radius1: 小圆盘圆周运动所绕圆环的半径
  • Radius2: 定义环面形状的小圆盘的半径
  • Angle1: 用于切割/定义环面小圆盘的第1个角度参数
  • Angle2: 用于切割/定义环面小圆盘的第2个角度参数
  • Angle3: 用于定义环面运动圆周的第3个角度参数

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Torus can be created with the addObject() method of the document:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where "myTorus" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()